
Redmine - Defect #37441

No monospace (fixed length) font in markdown any longer

2022-07-15 00:48 - A Fora

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.2.7

Description

Monospace fonts used to work fine prior to upgrading to v.4.2.3 (I'm not sure which last version it worked fine).

However now, monospace fonts are gone in both code blocks and inline code deliniated with ``.

Example, the following entry in the markdown configured wiki:

text.png

is rendered with variable length fonts:

rendering.png

History

#1 - 2022-07-15 01:59 - Go MAEDA

- File inlinecode-monospace.png added

I cannot reproduce the issue. See inlinecode-monospace.png.

Do you use a third-party theme? Can you check if the monospace font is used when using Redmine's default theme?

#2 - 2022-07-17 06:10 - A Fora

I found the culprit - java script was for some reason disabled on that browser. Is this expected? To have markdown partially disabled without

javascript?

#3 - 2022-10-02 09:53 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

You should check your browser, Redmine doesn't have such kind of "feature" to disable the javascript partially.

Files

rendering.png 6.96 KB 2022-07-14 A Fora

text.png 7.17 KB 2022-07-14 A Fora

inlinecode-monospace.png 223 KB 2022-07-14 Go MAEDA
